import IMark from './IMark';
export default interface IController {
    onMouseUpText(e: Event, charRange: [number, number]): void;
    onMouseUpMark(e: Event, charRange: [number, number], marks: IMark[]): void;
    onMouseUpSelection(e: Event, charRange: [number, number]): void;
    onMouseUpMetaString(e: Event, charRange: [number, number], metaStringText: string): void;
    onMouseUpOther(e: Event): void;
}
