import { MalleableBatchArray } from 'etali';
import IController from './IController';
import IMark from './IMark';
import SpanData from './SpanData';
export default class {
    private sourceText;
    private htController;
    private selectionCharRange;
    private metaStrings;
    private selectionExpandedRange;
    spanBatches: MalleableBatchArray<SpanData>;
    constructor(sourceText: string, marks: IMark[], htController: IController, batchSize?: number);
    setSelection(newSelection: [number, number] | null): void;
    setMetaStrings(metaStrings: Array<[string, number]>): void;
    private padSpans;
    private insertSelection;
    private replaceWithSpan;
    private clearSelectionRange;
    private spansFromCharRange;
    private resetBtwnChars;
}
